%define module_name	vt1211
%define module_version	1.2
%define module_release	alt1

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release

Summary: VIA vt1211 sensors driver
License: GPL
Group: System/Kernel and hardware
Url: http://hem.bredband.net/ekmlar/vt1211.html

BuildArch: noarch

#Source0: http://hem.bredband.net/ekmlar/vt1211.c
#http://hem.bredband.net/ekmlar/vt1211-2.6.18.2.patch.gz
Source0: http://hem.bredband.net/ekmlar/vt1211.c-2.6.18.2.txt
Source1: http://hem.bredband.net/ekmlar/sensors.conf.txt
Source2: http://hem.bredband.net/ekmlar/sensors2.conf.txt
Source3: http://hem.bredband.net/ekmlar/vt1211.html

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
This package contains %name sources for Linux kernel module

%prep
%setup -q -c -T -n kernel-source-%module_name-%module_version
cp -f %SOURCE0 ./vt1211.c
cp -f %SOURCE1 ./sensors.conf                                                                           
cp -f %SOURCE2 ./sensors2.conf                                                                          
cp -f %SOURCE3 ./vt1211.html

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
pushd ..
%__tar -c kernel-source-%module_name-%module_version | %__bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
popd

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Sat Jan 27 2007 Grigory Batalov <bga@altlinux.ru> 1.2-alt1
- Update for kernel 2.6.18.2.

* Sat Apr 22 2006 Grigory Batalov <bga@altlinux.ru> 1.1-alt1
- update for kernel 2.6.16

* Wed Dec 14 2005 Grigory Batalov <bga@altlinux.ru> 1.0-alt3
- fix empty packaging (use the same name in %%setup and %%install)

* Fri Dec 09 2005 Grigory Batalov <bga@altlinux.ru> 1.0-alt2
- specfile rewritten

* Mon Mar 21 2005 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1
- first build
